Page MenuHomePhabricator

CU 2.0: Use a factory to create the pager
Closed, ResolvedPublic

Description

The pager needs access to the service as well as the context (from the special page). To simplify the dependency graph, it might be best to create a factory service for the pager.

Event Timeline

dbarratt created this task.Dec 3 2019, 2:37 PM
Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptDec 3 2019, 2:37 PM

Change 554299 had a related patch set uploaded (by Dbarratt; owner: Dbarratt):
[mediawiki/extensions/CheckUser@master] Create a factory for the PreliminaryCheckPager

https://gerrit.wikimedia.org/r/554299

dbarratt removed dbarratt as the assignee of this task.Dec 6 2019, 10:23 PM
dbarratt claimed this task.Jan 2 2020, 4:34 PM
Tchanders added subscribers: dom_walden, Tchanders.EditedFeb 19 2020, 5:59 PM

@dom_walden Not sure to what extent this needs testing - it doesn't change the pagers, just how they're created. I checked the pagers are both still there and not doing anything odd.

Change 554299 merged by jenkins-bot:
[mediawiki/extensions/CheckUser@master] Create a factory for Special:Investigate pagers

https://gerrit.wikimedia.org/r/554299

@dom_walden Not sure to what extent this needs testing - it doesn't change the pagers, just how they're created. I checked the pagers are both still there and not doing anything odd.

OK, thats fine. Thanks!

dbarratt closed this task as Resolved.Mar 3 2020, 4:41 PM